#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
#include <string.h>
#include <signal.h>
#include <termios.h>

#define UART_DEV "/dev/ttyHS1"

extern int fd;

typedef struct uart_hardware_cfg {
    unsigned int baudrate;  /* 波特率 */
    unsigned char dbit;     /* 数据位 */
    char parity;            /* 奇偶校验 */
    unsigned char sbit;     /* 停止位 */
} uart_cfg_t;


void async_io_init(void);
int setuart_cfg(const uart_cfg_t *cfg);
int uart_Init(void);

